Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-system-opt-out - Manage or get the system-wide opt-out state

SYNOPSIS
ubuntu-insights system-opt-out [flags]

DESCRIPTION
Manage or get the system-wide opt-out state for data collection and upload.

When the system opt-out is active, all collection and upload operations behave as if consent is denied, regardless of per-user or per-source consent settings.

Setting the system opt-out state typically requires administrative privileges to write to the system configuration directory.

OPTIONS
-h, --help[=false]
    help for system-opt-out

-s, --state=""
    the system opt-out state to set (true or false)

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

--quiet[=false]
    suppress all output except errors

--system-config-dir=""
    the directory of the system-wide configuration file

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights(1)

HISTORY
15-Jul-2026 Auto generated by spf13/cobra